## weechat 2.1

=== debian/changelog ===
weechat (2.1-2) unstable; urgency=medium

  * Disable build of javascript plugin to fix weechat autoremoval from
    testing (RC bugs in libv8) (Closes: #894680)
  * Add missing localized manpages for weechat-headless
  * Fix debian/copyright Format URI

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 03 Apr 2018 10:48:35 +0200

weechat (2.1-1) unstable; urgency=medium

  * New upstream release (Closes: #887114)
    - Enable build against Ruby 2.5 (Closes: #892072)
    - New PHP plugin (update build dependencies accordingly)
  * Split up the package so that plugins are now separated in multiple
    binary packages to avoid unnecessary dependencies (Closes: #745266)
  * Switch debhelper compatibility to 11
  * Bump Standards-Version to 4.1.3
  * Add debian/upstream/metadata (DEP 12)
  * Rewrite debian/copyright to be more accurate
  * Update Vcs-Git and Vcs-Browser with new repository on salsa.debian.org
  * Update debian/NEWS to introduces weechat-headless and the package split

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 21 Mar 2018 07:46:21 +0100

=== debian/control ===
Source: weechat
Section: net
Priority: optional
Maintainer: Emmanuel Bouthenot <kolter@debian.org>
Build-Depends:
    asciidoctor (>= 1.5.4),
    ruby-pygments.rb,
    debhelper (>= 11),
    cmake, pkg-config,
    libncursesw5-dev,
    gem2deb,
    libperl-dev,
    python-dev,
    libaspell-dev,
    liblua5.1-0-dev,
    tcl8.6-dev,
    guile-2.0-dev,
    php-dev, libphp-embed, libargon2-0-dev, libsodium-dev,
    libxml2-dev,
    libcurl4-gnutls-dev,
    libgcrypt20-dev,
    libgnutls28-dev,
    zlib1g-dev
Standards-Version: 4.1.3
Homepage: https://weechat.org/
Vcs-Git: https://salsa.debian.org/kolter/weechat.git
Vcs-Browser: https://salsa.debian.org/kolter/weechat

Package: weechat
Architecture: all
Depends:
    ${misc:Depends},
    weechat-curses (>= ${source:Version}) | weechat-headless (>= ${source:Version})
Suggests: weechat-doc (= ${source:Version})
Description: Fast, light and extensible chat client (metapackage)
 WeeChat (Wee Enhanced Environment for Chat) is a fast and light chat client
 for many operating systems. Everything can be done with a keyboard.
 It is customizable and extensible with plugins/scripts, and includes:
  - support of IRC protocol (native)
  - support of XMPP/Jabber protocol (with additional script)
  - nicklist
  - smart hotlist
  - horizontal and vertical split
  - double charset support (decode/encode)
  - FIFO pipe for remote control
  - 256 colors support
  - incremental text search
  - dynamic filtering of buffer content
  - Perl, Python, Ruby, Lua, Tcl, Scheme and PHP scripting
  - script manager
  - spell checking
  - highly customizable and extensible
  - and much more!

Package: weechat-curses
Architecture: any
Depends:
    ${misc:Depends},
    ${shlibs:Depends},
    weechat-core (= ${binary:Version})
Recommends:
    weechat-plugins (= ${binary:Version})
Suggests: weechat-doc (= ${source:Version})
Description: Fast, light and extensible chat client - console client
 WeeChat (Wee Enhanced Environment for Chat) is a fast and light chat client
 for many operating systems. Everything can be done with a keyboard.
 It is customizable and extensible with plugins/scripts, and includes:
  - support of IRC protocol (native)
  - support of XMPP/Jabber protocol (with additional script)
  - nicklist
  - smart hotlist
  - horizontal and vertical split
  - double charset support (decode/encode)
  - FIFO pipe for remote control
  - 256 colors support
  - incremental text search
  - dynamic filtering of buffer content
  - Perl, Python, Ruby, Lua, Tcl, Scheme and PHP scripting
  - script manager
  - spell checking
  - highly customizable and extensible
  - and much more!
 .
 This package provides the console client (ncurses).

Package: weechat-headless
Architecture: any
Depends:
    ${misc:Depends},
    ${shlibs:Depends},
    weechat-core (= ${binary:Version})
Recommends: weechat-plugins (= ${binary:Version})
Suggests: weechat-doc (= ${source:Version})
Description: Fast, light and extensible chat client - headless client
 WeeChat (Wee Enhanced Environment for Chat) is a fast and light chat client
 for many operating systems. Everything can be done with a keyboard.
 It is customizable and extensible with plugins/scripts, and includes:
  - support of IRC protocol (native)
  - support of XMPP/Jabber protocol (with additional script)
  - nicklist
  - smart hotlist
  - horizontal and vertical split
  - double charset support (decode/encode)
  - FIFO pipe for remote control
  - 256 colors support
  - incremental text search
  - dynamic filtering of buffer content
  - Perl, Python, Ruby, Lua, Tcl, Scheme and PHP scripting
  - script manager
  - spell checking
  - highly customizable and extensible
  - and much more!
 .
 This package provides the headless client.

Package: weechat-core
Architecture: any
Depends:
    ${misc:Depends},
    ${shlibs:Depends}
Suggests: weechat-doc (= ${source:Version})
Description: Fast, light and extensible chat client - core files
 WeeChat (Wee Enhanced Environment for Chat) is a fast and light chat client
 for many operating systems. Everything can be done with a keyboard.
 .
 This package provides core plugins and locales files for WeeChat. It
 currently ships the following plugins: alias, buflist, charset, fset, irc,
 logger and xfer. It is useless without weechat-curses or weechat-headless.

Package: weechat-plugins
Architecture: any
Depends:
    ${misc:Depends},
    ${shlibs:Depends},
    weechat-curses (= ${binary:Version}) | weechat-headless (= ${binary:Version})
Recommends:
    weechat-perl,
    weechat-python,
    weechat-ruby
Suggests: weechat-scripts (>> 20090221-1)
Description: Fast, light and extensible chat client - plugins
 WeeChat (Wee Enhanced Environment for Chat) is a fast and light chat client
 for many operating systems. Everything can be done with a keyboard.
 .
 This package provides some plugins to enhance WeeChat. It currently
 ships the following plugins:
  - script manager
  - Spell checking (thanks to aspell)
  - FIFO pipe for remote control
  - Relay (IRC proxy and WeeChat protocol)
  - Trigger

Package: weechat-python
Architecture: any
Depends:
    ${misc:Depends},
    ${shlibs:Depends},
    weechat-curses (= ${binary:Version}) | weechat-headless (= ${binary:Version})
Description: Fast, light and extensible chat client - Python plugin
 WeeChat (Wee Enhanced Environment for Chat) is a fast and light chat client
 for many operating systems. Everything can be done with a keyboard.
 .
 This package provides the Python scripting API plugin.

Package: weechat-perl
Architecture: any
Depends:
    ${misc:Depends},
    ${shlibs:Depends},
    weechat-curses (= ${binary:Version}) | weechat-headless (= ${binary:Version})
Description: Fast, light and extensible chat client - Perl plugin
 WeeChat (Wee Enhanced Environment for Chat) is a fast and light chat client
 for many operating systems. Everything can be done with a keyboard.
 .
 This package provides the Perl scripting API plugin.

Package: weechat-ruby
Architecture: any
Depends:
    ${misc:Depends},
    ${shlibs:Depends},
    weechat-curses (= ${binary:Version}) | weechat-headless (= ${binary:Version})
Description: Fast, light and extensible chat client - Ruby plugin
 WeeChat (Wee Enhanced Environment for Chat) is a fast and light chat client
 for many operating systems. Everything can be done with a keyboard.
 .
 This package provides the Ruby scripting API plugin.

Package: weechat-lua
Architecture: any
Depends:
    ${misc:Depends},
    ${shlibs:Depends},
    weechat-curses (= ${binary:Version}) | weechat-headless (= ${binary:Version})
Description: Fast, light and extensible chat client - Lua plugin
 WeeChat (Wee Enhanced Environment for Chat) is a fast and light chat client
 for many operating systems. Everything can be done with a keyboard.
 .
 This package provides the Lua scripting API plugin.

Package: weechat-tcl
Architecture: any
Depends:
    ${misc:Depends},
    ${shlibs:Depends},
    weechat-curses (= ${binary:Version}) | weechat-headless (= ${binary:Version})
Description: Fast, light and extensible chat client - Tcl plugin
 WeeChat (Wee Enhanced Environment for Chat) is a fast and light chat client
 for many operating systems. Everything can be done with a keyboard.
 .
 This package provides the Tcl scripting API plugin.

Package: weechat-guile
Architecture: any
Depends:
    ${misc:Depends},
    ${shlibs:Depends},
    weechat-curses (= ${binary:Version}) | weechat-headless (= ${binary:Version})
Description: Fast, light and extensible chat client - Guile plugin
 WeeChat (Wee Enhanced Environment for Chat) is a fast and light chat client
 for many operating systems. Everything can be done with a keyboard.
 .
 This package provides the Guile scripting API plugin.

Package: weechat-php
Architecture: any
Depends:
    ${misc:Depends},
    ${shlibs:Depends},
    weechat-curses (= ${binary:Version}) | weechat-headless (= ${binary:Version}),
    libphp-embed
Description: Fast, light and extensible chat client - PHP plugin
 WeeChat (Wee Enhanced Environment for Chat) is a fast and light chat client
 for many operating systems. Everything can be done with a keyboard.
 .
 This package provides the PHP scripting API plugin.

Package: weechat-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Fast, light and extensible chat client - documentation
 WeeChat (Wee Enhanced Environment for Chat) is a fast and light chat client
 for many operating systems. Everything can be done with a keyboard.
 .
 This package contains the html documentation for WeeChat.

Package: weechat-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}
Description: Fast, light and extensible chat client - development headers
 WeeChat (Wee Enhanced Environment for Chat) is a fast and light chat client
 for many operating systems. Everything can be done with a keyboard.
 .
 This package contains the headers needed to build plugins.

## weechat 2.2

=== src/core/CMakeLists.txt ===
#
# Copyright (C) 2003-2018 Sébastien Helleu <flashcode@flashtux.org>
# Copyright (C) 2008 Julien Louis <ptitlouis@sysif.net>
# Copyright (C) 2009 Emmanuel Bouthenot <kolter@openics.org>
#
# This file is part of WeeChat, the extensible chat client.
#
# WeeChat is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# WeeChat is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with WeeChat.  If not, see <http://www.gnu.org/licenses/>.
#

set(LIB_CORE_SRC
  weechat.c weechat.h
  wee-arraylist.c wee-arraylist.h
  wee-backtrace.c wee-backtrace.h
  wee-command.c wee-command.h
  wee-completion.c wee-completion.h
  wee-config.c wee-config.h
  wee-config-file.c wee-config-file.h
  wee-debug.c wee-debug.h
  wee-eval.c wee-eval.h
  wee-hashtable.c wee-hashtable.h
  wee-hdata.c wee-hdata.h
  wee-hook.c wee-hook.h
  wee-infolist.c wee-infolist.h
  wee-input.c wee-input.h
  wee-list.c wee-list.h
  wee-log.c wee-log.h
  wee-network.c wee-network.h
  wee-proxy.c wee-proxy.h
  wee-secure.c wee-secure.h
  wee-string.c wee-string.h
  wee-upgrade.c wee-upgrade.h
  wee-upgrade-file.c wee-upgrade-file.h
  wee-url.c wee-url.h
  wee-utf8.c wee-utf8.h
  wee-util.c wee-util.h
  wee-version.c wee-version.h
)

# Check for flock support
include(CheckSymbolExists)
check_symbol_exists(flock "sys/file.h" HAVE_FLOCK)

if(${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")
  find_library(EXECINFO_LIB_PATH execinfo /usr/local/lib)
  set(CMAKE_REQUIRED_LIBRARIES "${EXECINFO_LIB_PATH}")
  check_function_exists(backtrace HAVE_BACKTRACE)
else()
  check_symbol_exists(backtrace "execinfo.h" HAVE_BACKTRACE)
endif()

if(GNUTLS_FOUND)
  include_directories(${GNUTLS_INCLUDE_PATH})
endif()

include_directories(${CURL_INCLUDE_DIRS})

include_directories(${CMAKE_BINARY_DIR})
add_library(weechat_core STATIC ${LIB_CORE_SRC})
add_dependencies(weechat_core version_git)

=== src/plugins/logger/CMakeLists.txt ===
#
# Copyright (C) 2003-2018 Sébastien Helleu <flashcode@flashtux.org>
#
# This file is part of WeeChat, the extensible chat client.
#
# WeeChat is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# WeeChat is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with WeeChat.  If not, see <http://www.gnu.org/licenses/>.
#

add_library(logger MODULE
logger.c logger.h
logger-buffer.c logger-buffer.h
logger-config.c logger-config.h
logger-info.c logger-info.h
logger-tail.c logger-tail.h)
set_target_properties(logger PROPERTIES PREFIX "")

target_link_libraries(logger)

install(TARGETS logger LIBRARY DESTINATION ${LIBDIR}/plugins)

=== debian/changelog ===
weechat (2.2-1) unstable; urgency=medium

  * New upstream release
  * Remove upstream patch about localized manpages for weechat-headless
  * Bump Standards-Version to 4.1.5

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 19 Sep 2018 09:41:45 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
     libgcrypt20-dev,
     libgnutls28-dev,
     zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://weechat.org/
 Vcs-Git: https://salsa.debian.org/kolter/weechat.git
 Vcs-Browser: https://salsa.debian.org/kolter/weechat
